1. Updated Resource Submission Rules: All model & skin resource submissions must now include an in-game screenshot. This is to help speed up the moderation process and to show how the model and/or texture looks like from the in-game camera.
    Dismiss Notice
  2. DID YOU KNOW - That you can unlock new rank icons by posting on the forums or winning contests? Click here to customize your rank or read our User Rank Policy to see a list of ranks that you can unlock. Have you won a contest and still haven't received your rank award? Then please contact the administration.
    Dismiss Notice
  3. Rubbed the right way, the genie is out of its lamp! The 12th Concept Art Contest Results have been announced.
    Dismiss Notice
  4. The Lich King has a new champion. The results for the 19th Icon Contest are here!
    Dismiss Notice
  5. Race against the odds and Reforge, Don't Refund. The 14th Techtree Contest has begun!
    Dismiss Notice
  6. Check out the Staff job openings thread.
    Dismiss Notice
Dismiss Notice
60,000 passwords have been reset on July 8, 2019. If you cannot login, read this.

Reforged compatibility with older versions

Discussion in 'Warcraft Discussion' started by sur5al, Mar 25, 2020 at 4:07 PM.

  1. sur5al

    sur5al

    Joined:
    May 11, 2008
    Messages:
    17
    Resources:
    0
    Resources:
    0
    Yet another final nail in w3 coffin... This one is serious though, it can really end this circus...

    Why is nobody speaking about how maps made in Reforged world editor DO NOT show up in 1.31 (or older) warcraft? You do not need to make them in reforged. It is enough to open old map in reforged editor and save it...

    Maps saved in Reforged editor DO NOT open in 1.31 WE. (obviously its enough to do so with empty map. Nobody is even talking about putting reforged specific stuff in them)

    Please, for the love of god, if anyone finds solution, tel me.

    This is final chasm that can for ever split pre and post reforged communities...
     
  2. map designer

    map designer

    Joined:
    May 2, 2011
    Messages:
    993
    Resources:
    1
    Maps:
    1
    Resources:
    1
    can maps in 1.31 be opened in 1.30?
    can maps in 1.30 be opened in 1.26?
     
  3. sur5al

    sur5al

    Joined:
    May 11, 2008
    Messages:
    17
    Resources:
    0
    Resources:
    0
    can maps made in 1.31 be visible and playable in 1.30 game? (YES)
    can maps made in 1.30 be visible and playable in 1.28 game? (YES)
    can maps made in 1.31 be visible and playable in 1.26 game? (YES)
    ................................................................................. (YES)

    can maps made in 1.32 be visible and playable in 1.31, 1.30, 1.28, 1.26 game? (Hell NO)

    See a little difference there?

    Silly blizz errors like messing whole string system, mean nothing. Maps work between older versions if you know what spells or features to avoid as they will crash the other game version.

    You don't understand the fact that previously you always could work on a map in newest editor and consciously make that map playable for all the ghetto community on all older versions? And keep all warcraft community more or less as a whole. And now all these people can be shattered into separate groups and die out.
     
  4. Drake53

    Drake53

    Joined:
    Jan 1, 2018
    Messages:
    254
    Resources:
    0
    Resources:
    0
    I think you meant NO, MAYBE, NO.
    Main reason you can't play 1.31 and 1.32 maps on earlier versions is changes to the war3map.w3i file format, but there is a solution for that: Downgrade map from 1.30+ to 1.27?.
     
  5. Daffa

    Daffa

    Joined:
    Jan 30, 2013
    Messages:
    7,939
    Resources:
    29
    Packs:
    1
    Maps:
    8
    Spells:
    18
    Tutorials:
    2
    Resources:
    29
    1.31 is not visible in the previous versions. I tested this with my own maps.
    1.32 exhibits the same behavior as 1.31.

    Even if a map is visible in multiple versions, certain things could break the map on older patches if used (like Sundering Blades ability).
     
  6. deepstrasz

    deepstrasz

    Map Reviewer

    Joined:
    Jun 4, 2009
    Messages:
    13,066
    Resources:
    1
    Maps:
    1
    Resources:
    1
    Generally it works in ascending manner not both ways as the others mentioned mostly due to major changes between the versions as opposed to bug fixes and mere .mpq edits from 1.24-1.27.
     
  7. Strydhaizer

    Strydhaizer

    Joined:
    Feb 28, 2013
    Messages:
    1,750
    Resources:
    4
    Models:
    1
    Maps:
    1
    Template:
    2
    Resources:
    4
    1.31 is a PTR for Reforged AFAIK, it is a Reforged Editor, however 1.30.4 is a classic editor.

    Actually I see his point. It is true that you can actually play maps saved in 1.30 to 1.27, although you only have to use WE 1.27, open the map made in 1.30, and save it to update the maps .w3i to be able to play the map in 1.27. (However this doesn't work if the mapper of 1.30 used the new natives introduced in 1.29 and 1.30, and if the mapper protected the map).

    This wasn't the first time it happened though, you see map made in versions below 1.21 is no longer visible in patches 1.21+ due to necessary changes, those maps you see in the Maps Compendium thread are saved in super early versions of the game which are now unplayable.
     
    Last edited: Mar 27, 2020 at 4:04 AM